﻿/*
 *         Progetto: Algoritmo parallelo (uso della libreria TPL)
 * 
 *           Autore: Roberto Fuligni
 *  Ultima modifica: 07/11/2018
 *  
 *      Descrizione: Visualizzare una qualunque sequenza di 200 caratteri composta da cento caratteri ‘A’ e cento ‘B’.
 *                   (Algoritmo parallelo)
 *                   
 */

using System;
using System.Threading.Tasks;

namespace ParalleloTPL
{
    class ParalleloTPL
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Algoritmo parallelo (uso della libreria TPL)");

            // Seleziona un thread tra quelli disponibili all'interno del pool di threade lo avvia. 
            // Il thread esegue la procedura "StampaA" 

            Task.Factory.StartNew(StampaA);

            int j;
            j = 0;
            while (j < 100)
            {
                Console.Write("B");
                j++;
            }
        }

        static void StampaA()
        {
            int i;
            i = 0;
            while (i < 100)
            {
                Console.Write("A");
                i++;
            }
        }
    }
}
