﻿/*
 *         Progetto: Algoritmo parallelo (uso della classe Thread)
 * 
 *           Autore: Roberto Fuligni
 *  Ultima modifica: 07/11/2018
 *  
 *      Descrizione: Visualizzare una qualunque sequenza di 200 caratteri composta da cento caratteri ‘A’ e cento ‘B’.
 *                   (Algoritmo parallelo)
 *                   
 */

using System;
using System.Threading;

namespace ParalleloThread
{
    class ParalleloThread
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Algoritmo parallelo (uso della classe Thread)");

            // Crea un nuovo thread che eseguirà la procedura "StampaA"
            Thread t = new Thread(StampaA);

            t.Start();                          // Avvia il nuovo thread

            // Ora il thread principale stampa il carattere "B" 
            int j;
            j = 0;
            while (j < 100)
            {
                Console.Write("B");
                j++;
            }
        }

        static void StampaA()
        {
            int i;
            i = 0;
            while (i < 100)
            {
                Console.Write("A");
                i++;
            }
        }
    }
}
